%define name    rosegarden4
%define version 0.9.8
%define release 1

%define	desktop_vendor planetccrma
%define desktop_utils  %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)
%define distro         %(awk '/Fedora/{print $4}; /Red Hat/{print $5}' 2>/dev/null < /etc/redhat-release)

Summary:      Midi, audio and notation editor
Name:         rosegarden4
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
URL:          http://www.all-day-breakfast.com/rosegarden/
Source0:      rosegarden-4-%{version}.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Requires:     jack-audio-connection-kit >= 0.66.3
Obsoletes:    rosegarden
Obsoletes:    rosegarden-4
Packager:     Ferando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ XFree86-devel ladspa-devel
BuildRequires: alsa-lib-devel curl-devel e2fsprogs-devel freetype-devel
BuildRequires: glib2-devel glibc-devel jack-audio-connection-kit-devel
BuildRequires: libart_lgpl-devel libmad-devel openssl-devel qt-devel zlib-devel
BuildRequires: kdelibs-devel libpng-devel libtiff-devel libjpeg-devel liblrdf-devel
%if "%{distro}" == "2"
BuildRequires: libselinux-devel
%endif

%description
Rosegarden-4 is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%prep
%setup -q -n rosegarden-4-%{version}

%build
%configure --with-jack --with-ladspa
%if "%{distro_release}" == "7.3"
# ansi disables nanosleep in sys/time.h
perl -p -i -e "s|-ansi||g" sound/Makefile
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# redhat menus
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Rosegarden-4
Comment=Midi and Audio Sequencer and Editor
Icon=%{_datadir}/icons/hicolor/48x48/apps/rosegarden.png
Exec=%{_bindir}/rosegarden
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif

# rename the resulting binaries in 7.3... sigh...
if [ -e "$RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-rosegarden" ] ; then
  mv $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-rosegarden $RPM_BUILD_ROOT%{_bindir}/rosegarden
  mv $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-rosegardensequencer $RPM_BUILD_ROOT%{_bindir}/rosegardensequencer
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*rosegarden*
%{_libdir}/libRose*
%exclude %{_datadir}/applnk/Applications/rosegarden.desktop
%{_datadir}/apps/rosegarden
%{_datadir}/doc/HTML/en/rosegarden
%{_datadir}/locale/*/*/rosegarden.mo
%{_datadir}/mimelnk/audio/*
%{_datadir}/icons/hicolor/*/apps/rosegarden.png
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif
%{_datadir}/icons/*/*/apps/*.xpm

%changelog
* Mon May 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-1
- updated to 0.9.8
- added icon to menu entry, icons in file listing
- excluded original menu entry from list (otherwise we get two)
* Mon May 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added selinux-devel build requirement for FC2
* Thu Mar 25 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.7-1
- updated to 0.9.7
- added mimelnk files to file list
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-2
- rebuild for liblrdf 0.3.5
* Mon Jan 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1
- updated to 0.9.6
* Fri Dec  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.5-2
- fix binary names in 7.3
* Fri Nov 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.5-1
- updated to 0.9.5
* Tue Nov 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- added patch2, fixes const bug under gcc 3.3.2 (FC1)
* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- added release tags, spec file tweaks
* Mon Jun 16 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- fixed AlsaDriver.h to work around a jack issue
* Thu Jun  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- updated to 0.9.1
* Mon May 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9-1
- updated to 0.9
- added locale files in file list
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.5-2
- rebuild for jack 0.66.3
* Wed Dec 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8.5-1
- changed name to rosegarden, anaconda does not like the current name
  (anaconda should be fixed, name is legal)
- update to 0.8.5
* Sun Nov 10 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8-2
- changed name of package to rosegarden-4 (what was I thinking?...)
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry
* Fri Oct 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.


